import 'package:flutter/material.dart';
import 'package:niogu_app/core/constants/app_color.dart';
import 'package:sizer/sizer.dart';

class CounterButton extends StatelessWidget {
  final IconData icon;
  final VoidCallback? onTap;
  const CounterButton({super.key, required this.icon, required this.onTap});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: Padding(
        padding: EdgeInsets.all(1.5.w),
        child: Icon(icon, size: 4.w, color: AppColor.primaryColor),
      ),
    );
  }
}
